func reverseString(s string) string {
func factorial(n int) int {
type Person struct { name, address string; age int }
func sortNumbers(nums []int) {
func isPrime(n int) bool { if n <= 1 { return
ages := map[string]int{ "John": 30, "Amy": 12, "Mark": 45 }
func sumNumbers(nums []int) int {
func largestElement(nums []int) int {
type Calculator struct {
func countElements(nums []int) map[int]int {
func circleArea(radius float64) float64 {
type Car struct { make, model string; year int }
func commonElements(a, b []int) []int {
func isPalindrome(str string) bool {
countryCapitalMap := map[string]string{
func removeDuplicates(list []int) []int {
func isLeapYear(year int) bool {
type BankAccount struct {
func findLongestCommonPrefix(strings []string) string {
func isEven(number int) bool {
bookAuthorMap := map[string]string{
func calculateAverage(numbers []float64) float64 {
func isValidEmail(email string) bool {
type Rectangle struct { length, width float64 }
func findSecondSmallest(numbers []int) int {